# -*- coding: utf-8 -*-
from __future__ import unicode_literals
from django.db import models
from django.contrib.auth.models import User
from core.models.base import Base

REQUEST_STATUSES = (
    (1, 'Abierto'),
    (2, 'Rechazado'),
    (3, 'Procesando'),
    (4, 'Hecho'),
    (5, 'Error'),
)

'''
'''
class Request(Base):
    status = models.PositiveSmallIntegerField(choices=REQUEST_STATUSES, default=1)
    issue = models.CharField(max_length=100, blank=True)
    user = models.ForeignKey(User, on_delete=models.CASCADE, null=True)
